function love.load()
	dx, dy = 32, 32
	GUI = {}
	GUI.description = "Global GUI Description"
	GUI.shift = {x=300, y=32}
	GUI.h_tabs = {}
	GUI.h_tab_active = 1
	GUI.scroll_y = 0
	
	for i=1,4 do
		local h_tab = {}
		table.insert(GUI.h_tabs, h_tab)
		h_tab.name = "Tab A"..i
		h_tab.shift = {x=64+(i-1)*150, y=64}
		h_tab.description = "Tab A"..i..' Description'
		h_tab.shift2 = {x=300, y=64+32}
		h_tab.v_tabs = {}
		h_tab.v_tab_active = 1
		for j=1,4 do
			local v_tab = {}
			table.insert(h_tab.v_tabs, v_tab)
			v_tab.name = "Tab B"..j
			v_tab.shift = {x=64, y=128+j*64}
			v_tab.description = "Tab B"..j..' Description'
			v_tab.shift2 = {x=350, y=64+64}
			v_tab.scroll = {}
--			v_tab.scroll_y = 0
			v_tab.bottonlines = {}
			v_tab.min = 128+32
			for k = 1, 16 do
				local bottonline = {}
				table.insert (v_tab.bottonlines, bottonline)
				bottonline.parameter = {'Parameter: ',k}
				bottonline.shift = {x=200, y=128+k*33}
				bottonline.buttons=
				{
					{'Button-A'..i..'-B'..j..'-'..k..'-1', x=450},
					{'Button-A'..i..'-B'..j..'-'..k..'-2', x=600}
				}
			end
		end
	end
end
 
 
function love.update(dt)

end
 
function translate ()
	local mx = love.mouse.getX()
	local my = love.mouse.getY()
	if love.mouse.isDown(1) then
		if not mouse_pressed then
			mouse_pressed = true
--			dx = tx-mx
			dy = GUI.scroll_y-my
		else
--			tx = mx+dx
			GUI.scroll_y = my+dy
		end
	elseif mouse_pressed then
		mouse_pressed = false
	end
--	love.graphics.translate(tx, ty)
	GUI.scroll_y = math.min (GUI.scroll_y, 0)
	GUI.scroll_y = math.max (GUI.scroll_y, -495)
	love.graphics.print('scroll_y:'..GUI.scroll_y)
end
 
function love.draw()
	translate ()
	
	love.graphics.setColor({1,1,1})
	love.graphics.print(GUI.description, GUI.shift.x, GUI.shift.y)
	
	for i, h_tab in pairs (GUI.h_tabs) do
		if i == GUI.h_tab_active then -- active
			love.graphics.setColor({1,1,1})
			love.graphics.print(h_tab.name, h_tab.shift.x, h_tab.shift.y)
			love.graphics.print(h_tab.description, h_tab.shift2.x, h_tab.shift2.y)
			for j, v_tab in pairs (h_tab.v_tabs) do
				if j == h_tab.v_tab_active then -- active
					love.graphics.setColor({1,1,1})
					love.graphics.print(v_tab.name, v_tab.shift.x, v_tab.shift.y)
					love.graphics.print(v_tab.description, v_tab.shift2.x, v_tab.shift2.y)
					for k, bottonline in pairs (v_tab.bottonlines) do
						love.graphics.setColor({0,1,0})
						local sx = bottonline.shift.x
						local sy = bottonline.shift.y+GUI.scroll_y
						if sy > v_tab.min then
							love.graphics.print(bottonline.parameter, sx, sy)
							love.graphics.print(bottonline.buttons[1], bottonline.buttons[1].x, sy)
							love.graphics.print(bottonline.buttons[2], bottonline.buttons[2].x, sy)
						end
						
					end
				else
					love.graphics.setColor({0.5,0.5,0.5})
					love.graphics.print(v_tab.name, v_tab.shift.x, v_tab.shift.y)
				end
			end
		else
			love.graphics.setColor({0.5,0.5,0.5})
			love.graphics.print(h_tab.name, h_tab.shift.x, h_tab.shift.y)
		end
	end
end

